<!-- ABOUT THE PROJECT -->
## nym-api-test suite

A Typescript test framework utilising Jest and Node to perform tests against the NYM validator-apis.

<!-- GETTING STARTED -->
## Getting Started

### Installation
1. Having `yarn` install on your machine
1. Install all the packages - `yarn install`
2. Peeping the package.json will show you the commands to run for the tests


<!-- USAGE EXAMPLES -->
## Usage

1. Run the testsuite - currently the configuration hasn't fully been set up to switch envs
   ```
   yarn test
   ```

## ToDo
1. Finish happy and negative test scenarios
2. Full reporting
3. Fully functioniting env switching
4. Run in CI 
5. Docker?

Kudos to jmfiola21@gmail.com for the baseline of this framework
